PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl "https://api.pinecone.io/admin/projects" \
-H "X-Pinecone-Api-Version: 2025-10" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-d '{
"name":"example-project"
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "example-project",
"max_pods": 0,
"force_encryption_with_cmek": false,
"organization_id": "string",
"created_at": "2025-03-16T22:46:45.030Z"
}
Projects
Create a new project
Creates a new project.
POST
/
admin
/
projects
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl "https://api.pinecone.io/admin/projects" \
-H "X-Pinecone-Api-Version: 2025-10" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-d '{
"name":"example-project"
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "example-project",
"max_pods": 0,
"force_encryption_with_cmek": false,
"organization_id": "string",
"created_at": "2025-03-16T22:46:45.030Z"
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl "https://api.pinecone.io/admin/projects" \
-H "X-Pinecone-Api-Version: 2025-10" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-d '{
"name":"example-project"
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "example-project",
"max_pods": 0,
"force_encryption_with_cmek": false,
"organization_id": "string",
"created_at": "2025-03-16T22:46:45.030Z"
}
Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Body
application/json
The details of the new project.
Response
The project was successfully created.
The details of a project.
Was this page helpful?